<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="style.xsl"/>

<xsl:output method="html"/>  

<xsl:template match="page">

<xsl:variable name="collName"><xsl:value-of select="request/paramList/param[@name='c']/@value"/></xsl:variable>

<html>
<xsl:call-template name="greenstoneHead"/>
<body xsl:use-attribute-sets="body-style">
<center>
<xsl:call-template name="collectionPageBanner">
<xsl:with-param name="collName" select="$collName"/>
</xsl:call-template>
<xsl:apply-templates select="request">
<xsl:with-param name="collName" select="$collName"/>
</xsl:apply-templates>
<xsl:apply-templates select="response">
<xsl:with-param name="collName" select="$collName"/>
</xsl:apply-templates>
</center>
<xsl:call-template name="greenstoneFooter"/>
</body>
</html>
</xsl:template>

<xsl:template match="request">

<xsl:param name="collName">coll-name</xsl:param>
<xsl:variable name="queryString"><xsl:value-of select="paramList/param[@name='q']/@value"/></xsl:variable>
<xsl:variable name='library' select='ancestor::page/config/library_name'/>

<form name="QueryForm" method="get" action="/gsdl3/{$library}">
<xsl:apply-templates select="description/paramList"/>
<input type="hidden" name="a" value="q"/>
<input type="hidden" name="sa" value="text"/>
<input type="hidden" name="c" value="{$collName}"/>
<nobr><input type="text" name="q" value="{$queryString}" size="50"/>
<input type="submit"><xsl:attribute name="value"><xsl:call-template name="text"><xsl:with-param name="key">query/beginsearch</xsl:with-param></xsl:call-template></xsl:attribute></input></nobr>
</form>
<xsl:call-template name="greenBar"/>
</xsl:template>


<xsl:template match="description/paramList">
<p/>
<xsl:call-template name="text"><xsl:with-param name="key">query/queryoptions</xsl:with-param></xsl:call-template>
<p/><table width="537">
<xsl:for-each select="param">
<!-- boolean params -->
<xsl:choose>
<xsl:when test="@type= 'boolean'">
<tr><td><xsl:call-template name="text"><xsl:with-param name="key">query/params/<xsl:value-of select="@name"/>/name</xsl:with-param></xsl:call-template></td><td><select name="{@shortname}">
    <option value="0"><xsl:if test="@default='0'"><xsl:attribute name='selected'></xsl:attribute></xsl:if><xsl:call-template name="text"><xsl:with-param name="key">query/params/<xsl:value-of select="@name"/>/off</xsl:with-param></xsl:call-template></option>
   <option value="1"><xsl:if test="@default='1'"><xsl:attribute name='selected'></xsl:attribute></xsl:if><xsl:call-template name="text"><xsl:with-param name="key">query/params/<xsl:value-of select="@name"/>/on</xsl:with-param></xsl:call-template></option>
</select></td></tr>
</xsl:when>
<!-- integer params -->
<xsl:when test="@type= 'integer'">
<tr><td><xsl:call-template name="text"><xsl:with-param name="key">query/params/<xsl:value-of select="@name"/>/name</xsl:with-param></xsl:call-template></td><td><input type="text" name="{@shortname}" size="3" value="{@default}"/></td></tr>
</xsl:when>
<!-- enum params -->
<xsl:when test="@type= 'enum'">
<xsl:variable name="param" select="@name"/>
<xsl:variable name="current"><xsl:value-of select="@default"/></xsl:variable>
<tr><td><xsl:call-template name="text"><xsl:with-param name="key">query/params/<xsl:value-of select="@name"/>/name</xsl:with-param></xsl:call-template>
</td><td><select name="{@shortname}">
    <xsl:for-each select="element">

      <option value="{@name}"><xsl:if test="@name=$current"><xsl:attribute name="selected"></xsl:attribute></xsl:if><xsl:call-template name="text"><xsl:with-param name="key">query/params/<xsl:value-of select="$param"/>/<xsl:value-of select="@name"/></xsl:with-param></xsl:call-template></option>
    </xsl:for-each>
 </select></td></tr>
</xsl:when>
</xsl:choose>
</xsl:for-each>
</table>
</xsl:template>

<xsl:template match="response">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:variable name="library" select="ancestor::page/config/library_name"/>
<table width="537">
<xsl:for-each select="content/resourceList/resource">
<tr><td><a href="{$library}?a=r&amp;c={$collName}&amp;r={@name}">link</a></td><td><xsl:value-of select="metadataList/metadata[@name='Title']"/></td></tr>
</xsl:for-each>
</table>
<xsl:call-template name="greenBar"/>
</xsl:template>


</xsl:stylesheet>  

