/*
 *    NzdlFilterOption.java
 *    Copyright (C) 2001 New Zealand Digital Library Project
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

//the package we're in
package org.nzdl.gsdl.service;

/** gsdl corba stuff */
import org.nzdl.gsdl.corba.gsdlInterface.*;
import org.nzdl.gsdl.util.*;
import java.util.*;

/**
 * The FilterOption object
 *
 * @author Katherine Don (kjdon@cs.waikato.ac.nz)
 * 
 */

public class NzdlFilterOption extends Object {

    public String name=null;
    public int type=-1;
    public int repeatable=-1;
    public String defaultValue=null;
    public List validValues=null;

    private void initialise() {
	validValues = new ArrayList();
    }

    /**
     * creates an empty FilterOption
     */
    public NzdlFilterOption() {
	initialise();
    }
    /**
     * creates a FilterOption from a corbaFilterOption
     */
    public NzdlFilterOption(corbaFilterOption _filt) {
	initialise();

	name = NzdlCorbaFactory.toString(_filt.name);
	type = _filt.type.value();
	repeatable = _filt.repeatable.value();
	defaultValue = NzdlCorbaFactory.toString(_filt.defaultValue);
	
	for (int i=0; i<_filt.validValues.length; i++) {
	    validValues.add(NzdlCorbaFactory.toString(_filt.validValues[i]));
	}
	
    }
}
